CREATE TABLE bm_nav_menu_association (
    ID                       NUMBER(18, 0),
    MENU_ENTRY_ID            NUMBER(18, 0)    NOT NULL,
    ADMIN_TYPE               NUMBER(5, 0)     NOT NULL,
    NAV_TYPE                 NUMBER(5, 0)     NOT NULL,
    USER_TYPE                NUMBER(5, 0)     NOT NULL,
    COMPANY_TYPE             NUMBER(5, 0)     NOT NULL,
    HIDDEN                   NUMBER(5, 0)     NOT NULL,
    ORDER_NUMBER             NUMBER(5, 0)     NOT NULL,
    DATE_ADDED               DATE         ,
    DATE_MODIFIED            DATE         ,
    JUSTIFICATION            NUMBER(1, 0)     NOT NULL,
    SIDE_NAV_ORDER_NUMBER    NUMBER(5, 0)     NOT NULL,
    ID                       NUMBER(18, 0),
    MENU_ENTRY_ID            NUMBER(18, 0)    NOT NULL,
    ADMIN_TYPE               NUMBER(5, 0)     NOT NULL,
    NAV_TYPE                 NUMBER(5, 0)     NOT NULL,
    USER_TYPE                NUMBER(5, 0)     NOT NULL,
    COMPANY_TYPE             NUMBER(5, 0)     NOT NULL,
    HIDDEN                   NUMBER(5, 0)     NOT NULL,
    ORDER_NUMBER             NUMBER(5, 0)     NOT NULL,
    DATE_ADDED               DATE         ,
    DATE_MODIFIED            DATE         ,
    JUSTIFICATION            NUMBER(1, 0)     NOT NULL,
    SIDE_NAV_ORDER_NUMBER    NUMBER(5, 0)     NOT NULL,
    CONSTRAINT pk_bm_nav_menu_association PRIMARY KEY (ID, ID)
);
